## org.hornetq.rest.queue.push
Interface PushStrategy

All Known Implementing Classes:
  HornetQPushStrategy, UriStrategy, UriTemplateStrategy

    public interface PushStrategy

Version:
  $Revision: 1 $
Author:
  Bill Burke

Method Summary
`boolean` `push(org.hornetq.api.core.client.ClientMessage message)`
`void` `setRegistration(PushRegistration reg)`
`void` `start()`
`void` `stop()`

Method Detail

### push

    boolean push(org.hornetq.api.core.client.ClientMessage message)

### setRegistration

    void setRegistration(PushRegistration reg)

### start

    void start()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    void stop()
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Copyright © 2013. All Rights Reserved.